######################################
# README for C++ support in the target
######################################

The toolchain has already C++ support, but by default the C++ libraries are 
not installed directly to the target platform, mainly for space reasons. 
If you compile C++ programs, you can do it the usual way, just use the 
defined ${CXX} variable as your C++ cross compiler.

The only thing you have to to do for running your compiled C++ programs on the 
target platform, is to install the C++ libraries 
${INSTALLDIR}/cross-tools/${BOARDTARGET}/lib/{libstdc++.so*,libgcc_s.so*} 
to ${INSTALLDIR}/lib. There is a function defined for this purpose which you 
can use in your package installation scripts:

target_install_cxx_libs()

An example for handling C++ packages is located at:

buildscripts/packages/cxx-dummy.sh


