#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.0"
SHA1SUM="fd4d5dda26a72d689013ce40367043fee0124fd0"
URL="http://www.iam.unibe.ch/~morgenth/adam"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS=""
##################################################

download_bz2 codeprop &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/codeprop-${VERSION}.tar.bz2 &&
cd codeprop-${VERSION} &&
find . -name .svn -exec rm -rf {} \; 2>/dev/null

patch_src codeprop &&

${CC} -Os -fPIC -o codeprop codeprop.c &&

install -m 755 codeprop ${INSTALLDIR}/sbin &&

cd ${BUILDDIR} &&
rm -rf codeprop-${VERSION}