#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.19.6"
SHA1SUM="dd2513515d7803fc85a9357a0456095ea4e83dbb"
URL="http://ftp.gnome.org/pub/GNOME/sources/glib/2.19"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz glib &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/glib-${VERSION}.tar.gz &&
cd glib-${VERSION} &&

patch_src glib &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" LDFLAGS="-L${INSTALLDIR}/lib" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --with-pcre=system --disable-selinux --disable-fam --disable-xattr --disable-regex &&

#`echo ${BOARDTARGET} | sed 's/-uclibc//g'`

make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf gob2-${VERSION}
