#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.8.6"
#VERSION="1.6.4"
SHA1SUM="d1e5479d4eeb7b1a3589672e3ef8f4899e7c5eba"
#SHA1SUM="9d990fe39a125ceb07221623c237cd7015855d5c"
URL="http://www.cairographics.org/releases"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz cairo &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/cairo-${VERSION}.tar.gz &&
cd cairo-${VERSION} &&

patch_src cairo &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" LDFLAGS="-L/home/alixmgmt-builder/target/lib" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --disable-gtk-doc --disable-gcov --without-x --disable-xlib --disable-xcb --disable-quartz --disable-win32 --enable-ft --disable-ps --disable-png --disable-pdf --disable-svg &&
make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf cairo-${VERSION}
