#!/bin/bash

########################################################################
# Copyright (C) 2009 Stefan Ott <ott@iam.unibe.ch>                     #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.3.0"
SHA1SUM="26d0b2c0e1fd6dc9e70f3d3136fdca26718a155c"
URL="http://dump.ott.net/src/"
BUILD_DEPS="toolchain"
##################################################

download_bz2 pinger &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/pinger-${VERSION}.tar.bz2 &&
cd pinger-${VERSION} &&

make &&

cp pinger ${INSTALLDIR}/bin &&

cd ${BUILDDIR} &&
rm -rf pinger-${VERSION}
