#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="0.5"
SHA1SUM="6169a8065f62755b303f4f299286b06eb42823da"
URL="http://switch.dl.sourceforge.net/sourceforge/php-sqlite3"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_tgz sqlite3 &&

cd ${BUILDDIR} &&
#tar -xzvf ${SRCDIR}/sqlite3-${VERSION}.tgz &&
cd sqlite3-${VERSION} &&

patch_src sqlite3 &&

sed -e "s%prefix='\/usr'%prefix='${INSTALLDIR}\/usr'%g" -i ${INSTALLDIR}/bin/phpize &&
sed -e "s%phpdir=\"\`eval echo /lib\`/build\"%phpdir=\"${INSTALLDIR}\/usr\/lib\/php\/build\"%g" -i ${INSTALLDIR}/bin/phpize &&

${INSTALLDIR}/bin/phpize &&

CC="${CC} -Os -fPIC" CPPFLAGS="-I${INSTALLDIR}/usr/include/php -I${INSTALLDIR}/usr/include/php/main -I${INSTALLDIR}/usr/include/php/TSRM -I${INSTALLDIR}/usr/include/php/Zend -I${INSTALLDIR}/usr/include/php/ext -I${INSTALLDIR}/usr/include/php/ext/date/lib -I${INSTALLDIR}/usr/include" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --includedir=${INSTALLDIR}/usr/include --with-sqlite3=${INSTALLDIR}/lib --with-php-config=${INSTALLDIR}/bin/php-config &&
make &&
#make DESTDIR=${INSTALLDIR} install
make INSTALL_ROOT=${INSTALLDIR} install

cp modules/* ${INSTALLDIR}/lib

#cd ${BUILDDIR} &&
#rm -rf sqlite3-${VERSION}
