#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://subversion.cnds.unibe.ch/svn/adam/trunk/image-builder        #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
# no download, no source
##################################################

echo export CC=\""${CROSS_TARGET}-gcc\"" >> ~/.bashrc &&
echo export CXX=\""${CROSS_TARGET}-g++\"" >> ~/.bashrc &&
echo export AR=\""${CROSS_TARGET}-ar\"" >> ~/.bashrc &&
echo export AS=\""${CROSS_TARGET}-as\"" >> ~/.bashrc &&
echo export LD=\""${CROSS_TARGET}-ld\"" >> ~/.bashrc &&
echo export RANLIB=\""${CROSS_TARGET}-ranlib\"" >> ~/.bashrc &&
echo export READELF=\""${CROSS_TARGET}-readelf\"" >> ~/.bashrc &&
echo export STRIP=\""${CROSS_TARGET}-strip\"" >> ~/.bashrc &&
if [ "${BOARDARCH}" == "mips" ] ; then
    echo export BUILD=\""-mabi=32\"" >> ~/.bashrc
fi &&
cd ${BUILDDIR} &&
tar -cjvf toolchain-${BOARDNAME}.tar.bz2 target &&
touch ${BUILDDIR}/.toolchain &&

cd ${BUILDDIR}
